use winit::event::VirtualKeyCode;

pub fn key_to_num(key: VirtualKeyCode) -> u16 {
    match key {
        VirtualKeyCode::Key0 => 0x0,
        VirtualKeyCode::Key1 => 0x1,
        VirtualKeyCode::Key2 => 0x2,
        VirtualKeyCode::Key3 => 0x3,
        VirtualKeyCode::Key4 => 0x4,
        VirtualKeyCode::Key5 => 0x5,
        VirtualKeyCode::Key6 => 0x6,
        VirtualKeyCode::Key7 => 0x7,
        VirtualKeyCode::Key8 => 0x8,
        VirtualKeyCode::Key9 => 0x9,
        VirtualKeyCode::A => 0xa,
        VirtualKeyCode::B => 0xb,
        VirtualKeyCode::C => 0xc,
        VirtualKeyCode::D => 0xd,
        VirtualKeyCode::E => 0xe,
        VirtualKeyCode::F => 0xf,
        _ => 0x0,
    }
}
